package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.DocumentFavorites;

import java.util.List;

/**
 * @Description: 我的收藏文档
 * @Author: jeecg-boot
 * @Date: 2024-08-30
 * @Version: V1.0
 */
public interface IDocumentFavoritesService extends IService<DocumentFavorites> {
    List<DocumentFavorites> getTopFavoritesByUserId(String userId);

    DocumentFavorites getByDocIdAndUserId(String userId, String documentId);

    void removeByDocId(String documentId);

}
